MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023233Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-02 11:022012-07-03 15:17
ReporterJerome Monaco 
Assigned Tojgv 
PrioritynormalSeveritymajor 
StatusnewResolutionopen 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.5.2 
Target VersionFixed in Version 
Summary0023233: Bounding box incorrect for circle
DescriptionGenerate a simple face from a gp_Circ of radius 100 mm
Calculate the bouding box
The resulting bounding box is wrong XMin=-108.239, XMax=108.239 and same for Y
  
Steps To Reproduce/// Bounding box
//--------------
BRepBuilderAPI_MakeEdge ME( gp_Circ( gp::XOY(), 100.0 ) );
BRepBuilderAPI_MakeWire MW( ME.Edge() );
BRepBuilderAPI_MakeFace MF( MW.Wire(), Standard_False );
MF.Build();
TopoDS_Shape s = MF.Shape();

Bnd_Box bb;
BRepBndLib::Add( s, bb, Standard_False );

double xmin, ymin, xmax, ymax, zmin, zmax;
bb.Get( xmin, ymin, zmin, xmax, ymax, zmax );

printf( "Xmin=%f, Xmax=%f", xmin, xmax ); /// Wrong values should be 100
printf( "Ymin=%f, Ymax=%f", ymin, ymax );
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2012-07-02 11:02 Jerome Monaco New Issue
2012-07-02 11:02 Jerome Monaco Assigned To => jgv


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker